NNG_HTTP_SERVER_GET_ADDR(3http)

NAME
nng_http_server_get_addr - get HTTP server address

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_server_get_addr(nng_http_server *server, nng_sockaddr *sap);

DESCRIPTION

nng_http_server_get_addr()
    This function is used to retrieve an nng_sockaddr into the value referenced by sap for the server server.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_EINVAL
    Either server or sap parameter is NULL.

NNG_ENOTSUP
    HTTP not supported.

SEE ALSO

nng_sockaddr(5), nng(7)